# Guide

The goal of InfyLMS (Library Management System) App template is to give an easy way for everyone to manage any Library with easy to use functions such as,
- Managing books and readers
- Books circulation
- Statistics
- Managing book information including Authors, Publishers, Genres, etc.

This app template is an add-on to the [InfyLMS](https://codecanyon.net/item/infylms-library-management-system-laravel-reactjs/24884824).

## Buy InfyLMS App template
You can purchase InfyLMS from [here](https://codecanyon.net/item/infylms-library-management-system-laravel-reactjs/24884824).

## Technologies Used

This system uses multiple technologies to give the best possible experience.
- React-native
- XCode/Android studio IDE

## Features
- Register
- Log in
- Search book by book name or author name
- Reserve/UnReserve books
- Request a new book
- Books history management
- Forgot/Reset password
- Change password
- Profile

## Installation Guide

We tried our best to make the installation of the system as easy as possible.


### System Requirements

OS: MacOS(Required to prepare iOS project)/Windows/Ubuntu

This app template is made with the use of React-native. It is required to have all components necessary to prepare a react-native project installed on your system.

If you are new to React-native or does not have React-native installed on your system, please follow the steps mentioned in`React Native CLI Quickstart`tab from this [documentation](https://reactnative.dev/docs/getting-started). You will also require Android studio and XCode based on your need. You'll find the steps to install them in same documentation.

Install`yarn`, follow steps from this [documentation](https://classic.yarnpkg.com/en/docs/install/#mac-stable "documentation")


### Setup LMS

If you have purchased the InfyLMS app template, you'll be able to find the latest version of template. Extract the downloaded folder

##### 1. Open terminal and go to the root of downloaded project.

##### 2. Hit command `yarn`
###### For iOS only,
Open terminal and go to `root project -> ios` and hit command `pod install`



### Run the project

##### iOS
Open terminal and go to root project hit command `npx react-native run-ios`
##### Android
Open terminal and go to root project hit command `npx react-native run-android`

## App configuration
##### 1. To set API urls, Go to `src -> config -> ApiConfig.ts` and Change `API_URL` and `IMG_URL` to your own urls.


##### 2. To change the app version, go to `src->config->index.ts` and change `APP_VERSION`

## Android Configurations
##### 1. To change the name of the app, 
Go to`android -> app -> src -> main -> res -> values -> strings.xml` and change the`app_name` key's value to the name of the app


##### 2. To change the bundle id,
Go to`root project -> android -> app -> build.gradle`and Change`applicationId`under`defaultConfig`.
Go to root `project -> android -> app -> main -> java` and update package name in`MainActivity.java`and`MainApplication.java`

##### 3. To change the Splash screen
Open`root project -> android -> app -> src -> main -> res -> layout`and update the`launch_screen.xml` file.

##### 4. To change the app icon
Prepare an icon in 1024x1024 pixel size. Open this and upload the icon [here](https://romannurik.github.io/AndroidAssetStudio/icons-launcher.html), after making changes according to your requirement, download the icons with`ic_launcher`(for square icon) and `ic_launcher_round`(for round icon) name.
Replace downloaded icons at`root project -> android -> app -> src -> main -> res`


## iOS Configurations
Open the iOS project in XCode

##### 1. To change the name of the app, 
Change the bundle id under`General`tab.

##### 2. To change the bundle id,
Change the Display Name under`General`tab.

##### 3. To change the Splash screen
Open`LaunchScreen.xib`and change the image to your desired one.

##### 4. To change the app icon
Prepare an icon in 1024x1024 pixel size. Upload it [here](https://makeappicon.com/ "here"). Download the icons from there and replace them at`root project -> ios-> $APP_NAME -> Images.xcassets`

## Theme Configurations
##### 1. To change the theme color,
go to`src -> theme -> Colors.ts`

##### 2. To change the header colors in Login, Register, Forgot password, Change/Reset password,
go to`src -> assets -> images`and Change the image named`bigHeader`to your desired header image. Make sure to keep the image name the same.

##### 3. To change the header image in all other screens, 
go to`src -> assets -> images`and Change the image named`header`to your desired header image. Make sure to keep the image name the same.


##Login with default user
You can login into app with member credentials:

    email : member@lms.com
    pass : lms@12345


##Upload the app

###iOS
Follow the steps mentioned [here](https://codewithchris.com/submit-your-app-to-the-app-store/) to upload your application on AppStore.

###Android
Follow the steps mentioned [here](https://instabug.com/blog/how-to-submit-your-app-to-the-google-play-store/) to upload your application on PlayStore.




