import { Platform, Dimensions } from 'react-native';
import EStyleSheet from 'react-native-extended-stylesheet';
import Colors from '../../../theme/Colors';
import fonts, { Metrics } from '../../../theme/';
const { width } = Dimensions.get('window');

export default EStyleSheet.create({
  header: {
    width: '100%',
    // height: '55rem',
    backgroundColor: Colors.white,
    alignItems: 'center',
    position: 'absolute',
    // top: 20,
    zIndex: 99999
  },
  iPhoneXPadding: {
    height: 15,
    width: '100%',
    backgroundColor: Colors.theme
  },
  somePaddingTop: {
    height: '10rem',
    width: '100%',
    backgroundColor: Colors.theme
  },
  morePaddingTop: {
    height: '50rem',
    width: '100%',
    backgroundColor: Colors.theme
  },
  left: {
    flexDirection: 'row',
    justifyContent: 'flex-start',
    alignItems: 'flex-start',
    width: '15%',
    // height: '100%',
    position: 'absolute',
    left: 0,
    top: Metrics.statusBarHeight
  },
  right: {
    flexDirection: 'row',
    justifyContent: 'flex-end',
    alignItems: 'center',
    width: '15%',
    // height: '100%',
    position: 'absolute',
    right: 0,
    top: Metrics.statusBarHeight
  },
  header1: {
    alignSelf: 'center',
    width: width,
    height: width / 4.41
  },
  iconStyle: {
    fontSize: '35rem',
    color: Colors.white,
    marginTop: '10rem',
    marginLeft: '6rem',
    bottom: '130rem',
    justifyContent: 'center'
  },
  title: {
    paddingHorizontal: '10rem',
    flexDirection: 'row',
    justifyContent: 'center',
    alignItems: 'center',
    position: 'absolute',
    width: '70%',
    height: '100%',
    left: '15%',
    zIndex: 99999
    // paddingTop: 18
  },
  titleTxt: {
    height: '50%',
    width: '70%',
    fontFamily: 'Quicksand-Medium',
    fontWeight: '500',
    fontSize: '18rem',
    color: Colors.white,
    bottom: '25rem',
    marginTop: '55rem',
    textAlign: 'center'
  },
  middleTitleTxt: {
    width: '25rem',
    height: '30rem',
    fontFamily: 'Quicksand-Medium',
    color: Colors.white
  },
  availabilityTitle: {
    height: '43rem',
    minWidth: '250rem',
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: '#FFF',
    borderRadius: '25rem'
  },
  button: {
    flex: 1,
    paddingVertical: '20rem'
  },
  iconStyle3: {
    height: '20rem',
    width: '30rem',
    marginLeft: '15rem',
    marginBottom: '40rem',
    bottom: '5rem'
  },
  backImg: {
    height: '18rem',
    width: '24rem',
    marginLeft: '18rem',
    marginVertical: Platform.OS == 'ios' ? '20rem' : '15rem',
    marginRight: '20rem'
  },
  drawerIconImg: {
    height: '18rem',
    width: '29rem',
    marginLeft: '18rem',
    marginVertical: Platform.OS == 'ios' ? '15rem' : '15rem',
    marginRight: '20rem'
  },
  backImgBookDetails: {
    height: '18rem',
    width: '25rem',
    marginLeft: '18rem',
    marginVertical: Platform.OS == 'ios' ? '20rem' : '8rem',
    marginRight: '20rem'
  },
  profileBackImage: {
    marginVertical: Platform.OS == 'ios' ? '20rem' : '8rem'
  },
  backWImg: {
    marginTop: '28rem',
    height: '32rem',
    width: '32rem',
    marginLeft: '28rem'
  },
  transparent: {
    backgroundColor: 'transparent',
    ...Platform.select({
      ios: {
        shadowColor: null,
        shadowOffset: null,
        shadowOpacity: null
      },
      android: {
        elevation: null
      }
    })
  },
  headerThin: {
    width: width,
    height: width / 2.04
  }
});
