import EStyleSheet from 'react-native-extended-stylesheet';
import { Dimensions } from 'react-native';
import Colors from './../../../../theme/Colors';
import { Fonts } from './../../../../theme';

const { width } = Dimensions.get('window');
export default EStyleSheet.create({
  viewStyle: {
    height: '100%',
    width: '100%',
    alignItems: 'center',
    backgroundColor: Colors.white
  },
  txtInputView: {
    height: '50rem',
    width: '100%-70rem',
    borderRadius: '25rem',
    alignItems: 'flex-start',
    justifyContent: 'center',
    borderColor: Colors.borderGrey,
    borderWidth: 1.5,
    paddingLeft: '35rem',
    paddingRight: '10rem',
    marginTop: '20rem',
    alignSelf: 'center'
  },
  txtInput: {
    ...Fonts.style.semiBoldBlack,
    width: '100%'
  },
  labelTxt: {
    ...Fonts.style.boldBlack,
    color: Colors.darkGrey,
    backgroundColor: Colors.white,
    fontSize: '14rem',
    paddingHorizontal: '5rem',
    position: 'absolute',
    top: '-10rem',
    left: '30rem',
    '@media android': {
      top: '-14rem',
      left: '30rem'
    }
  },
  bottomView: {
    alignSelf: 'center',
    alignItems: 'center',
   // marginTop: '5rem',
    marginBottom: '10rem',
    flexDirection: 'row'
  },
  boyImg: {
    height: '200rem',
    width: '200*1.27rem',
    position: 'absolute',
    right: '30rem',
    bottom: '40rem'
  },
  marginTop20: {
    marginTop: '20rem'
  },
  bottomTipTxt: {
    ...Fonts.style.mediumBlack,
    fontSize: '15rem'
  },
  loginTipTxt: {
    ...Fonts.style.semiBoldBlack,
    fontSize: '15rem',
    color: Colors.purpule,
    marginLeft: '2rem'
  },
  keyboardAwareScrollView: {
    backgroundColor: 'white'
  },
  bottom:{
    bottom:25
  }
});
