import FontHelper from '../helpers/FontHelper';
import Colors from './Colors';
import { Platform } from 'react-native';

const size = {
  h1: '32rem',
  h2: '24rem',
  h3: '18rem',
  h4: '18rem',
  regular: '16rem',
  medium: '14rem',
  small: '13rem',
  tiny: '12rem'
};

const style = {
  regularBlack: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '300' : '200'
    }),
    fontSize: size.regular,
    color: Colors.black
  },
  mediumBlack: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '400' : '300'
    }),
    fontSize: size.regular,
    color: Colors.black
  },
  semiBoldBlack: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '500' : '400'
    }),
    fontSize: size.regular,
    color: Colors.black
  },
  semiDarkBoldBlack: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '500' : '400'
    }),
    fontSize: size.regular,
    color: Colors.darkBlack
  },
  semiBoldText: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '500' : '400'
    }),
    fontSize: size.regular,
    color: Colors.theme
  },
  boldBlack: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '600' : '500'
    }),
    fontSize: size.regular,
    color: Colors.black
  },

  regularWhite: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '300' : '200'
    }),
    fontSize: size.regular,
    color: Colors.white
  },
  mediumWhite: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '400' : '300'
    }),
    fontSize: size.regular,
    color: Colors.white
  },
  semiBoldWhite: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '500' : '400'
    }),
    fontSize: size.regular,
    color: Colors.white
  },
  boldWhite: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '600' : '500'
    }),
    fontSize: size.regular,
    color: Colors.white
  },

  regularTheme: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '300' : '200'
    }),
    fontSize: size.regular,
    color: Colors.theme
  },
  mediumTheme: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '400' : '300'
    }),
    fontSize: size.regular,
    color: Colors.theme
  },
  semiBoldTheme: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '500' : '400'
    }),
    fontSize: size.regular,
    color: Colors.theme
  },
  semiBoldMidDarkGrey: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '500' : '400'
    }),
    fontSize: size.regular,
    color: Colors.midDarkGrey
  },
  boldTheme: {
    ...FontHelper.font({
      fontFamily: 'Quicksand',
      fontWeight: Platform.OS === 'ios' ? '600' : '500'
    }),
    fontSize: size.regular,
    color: Colors.theme
  }
};

export default {
  size,
  style
};
